rohit09

Well-Known Member
Dec 10, 2010
61
0
56
Setting up Update Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
The program yum-complete-transaction is found in the yum-utils package.
--> Running transaction check
---> Package apr.x86_64 0:1.3.9-3.el6_1.2 will be updated
---> Package apr.x86_64 0:1.3.9-5.el6_2 will be an update
---> Package audit-libs.x86_64 0:2.1.3-3.el6 will be updated
---> Package audit-libs.x86_64 0:2.2-2.el6 will be an update
---> Package authconfig.x86_64 0:6.1.12-5.el6 will be updated
---> Package authconfig.x86_64 0:6.1.12-10.el6 will be an update
---> Package bind.x86_64 32:9.7.3-8.P3.el6_2.3 will be updated
---> Package bind.x86_64 32:9.8.2-0.10.rc1.el6_3.2 will be an update
--> Processing Dependency: portreserve for package: 32:bind-9.8.2-0.10.rc1.el6_3.2.x86_64
---> Package bind-libs.x86_64 32:9.7.3-8.P3.el6_2.3 will be updated
---> Package bind-libs.x86_64 32:9.8.2-0.10.rc1.el6_3.2 will be an update
---> Package binutils.x86_64 0:2.20.51.0.2-5.28.el6 will be updated
---> Package binutils.x86_64 0:2.20.51.0.2-5.34.el6 will be an update
---> Package centos-release.x86_64 0:6-2.el6.centos.7 will be updated
---> Package centos-release.x86_64 0:6-3.el6.centos.9 will be an update
---> Package chkconfig.x86_64 0:1.3.49.3-1.el6_2 will be updated
---> Package chkconfig.x86_64 0:1.3.49.3-2.el6 will be an update
---> Package coreutils.x86_64 0:8.4-16.el6 will be updated
---> Package coreutils.x86_64 0:8.4-19.el6 will be an update
---> Package coreutils-libs.x86_64 0:8.4-16.el6 will be updated
---> Package coreutils-libs.x86_64 0:8.4-19.el6 will be an update
---> Package cpio.x86_64 0:2.10-9.el6 will be updated
---> Package cpio.x86_64 0:2.10-10.el6 will be an update
---> Package cups-libs.x86_64 1:1.4.2-44.el6_2.3 will be updated
---> Package cups-libs.x86_64 1:1.4.2-48.el6 will be an update
---> Package db4.x86_64 0:4.7.25-16.el6 will be updated
---> Package db4.x86_64 0:4.7.25-17.el6 will be an update
---> Package db4-utils.x86_64 0:4.7.25-16.el6 will be updated
---> Package db4-utils.x86_64 0:4.7.25-17.el6 will be an update
---> Package dhclient.x86_64 12:4.1.1-25.P1.el6_2.1 will be updated
---> Package dhclient.x86_64 12:4.1.1-31.0.1.P1.el6.centos.1 will be an update
---> Package e2fsprogs.x86_64 0:1.41.12-11.el6 will be updated
---> Package e2fsprogs.x86_64 0:1.41.12-12.el6 will be an update
---> Package e2fsprogs-libs.i686 0:1.41.12-11.el6 will be updated
---> Package e2fsprogs-libs.x86_64 0:1.41.12-11.el6 will be updated
---> Package e2fsprogs-libs.i686 0:1.41.12-12.el6 will be an update
---> Package e2fsprogs-libs.x86_64 0:1.41.12-12.el6 will be an update
---> Package expat.x86_64 0:2.0.1-9.1.el6 will be updated
---> Package expat.x86_64 0:2.0.1-11.el6_2 will be an update
---> Package file-libs.x86_64 0:5.04-11.el6 will be updated
---> Package file-libs.x86_64 0:5.04-13.el6 will be an update
---> Package gawk.x86_64 0:3.1.7-6.el6 will be updated
---> Package gawk.x86_64 0:3.1.7-9.el6 will be an update
---> Package glib2.i686 0:2.22.5-6.el6 will be updated
---> Package glib2.x86_64 0:2.22.5-6.el6 will be updated
---> Package glib2.i686 0:2.22.5-7.el6 will be an update
---> Package glib2.x86_64 0:2.22.5-7.el6 will be an update
---> Package glibc.i686 0:2.12-1.47.el6_2.12 will be updated
---> Package glibc.i686 0:2.12-1.80.el6_3.5 will be an update
---> Package grep.x86_64 0:2.6.3-2.el6 will be updated
---> Package grep.x86_64 0:2.6.3-3.el6 will be an update
---> Package hwdata.noarch 0:0.233-7.6.el6 will be updated
---> Package hwdata.noarch 0:0.233-7.8.el6 will be an update
---> Package initscripts.x86_64 0:9.03.27-1.el6.centos.1 will be updated
---> Package initscripts.x86_64 0:9.03.31-2.el6.centos will be an update
---> Package iproute.x86_64 0:2.6.32-17.el6 will be updated
---> Package iproute.x86_64 0:2.6.32-20.el6 will be an update
---> Package keyutils-libs.x86_64 0:1.4-3.el6 will be updated
---> Package keyutils-libs.x86_64 0:1.4-4.el6 will be an update
---> Package krb5-libs.x86_64 0:1.9-22.el6_2.1 will be updated
---> Package krb5-libs.x86_64 0:1.9-33.el6_3.2 will be an update
---> Package libblkid.x86_64 0:2.17.2-12.4.el6 will be updated
---> Package libblkid.x86_64 0:2.17.2-12.7.el6 will be an update
---> Package libcom_err.i686 0:1.41.12-11.el6 will be updated
---> Package libcom_err.x86_64 0:1.41.12-11.el6 will be updated
---> Package libcom_err.i686 0:1.41.12-12.el6 will be an update
---> Package libcom_err.x86_64 0:1.41.12-12.el6 will be an update
---> Package libgcc.i686 0:4.4.6-3.el6 will be updated
---> Package libgcc.i686 0:4.4.6-4.el6 will be an update
---> Package libgomp.x86_64 0:4.4.6-3.el6 will be updated
---> Package libgomp.x86_64 0:4.4.6-4.el6 will be an update
---> Package libselinux.i686 0:2.0.94-5.2.el6 will be updated
---> Package libselinux.x86_64 0:2.0.94-5.2.el6 will be updated
---> Package libselinux.i686 0:2.0.94-5.3.el6 will be an update
---> Package libselinux.x86_64 0:2.0.94-5.3.el6 will be an update
---> Package libss.x86_64 0:1.41.12-11.el6 will be updated
---> Package libss.x86_64 0:1.41.12-12.el6 will be an update
---> Package libssh2.x86_64 0:1.2.2-7.el6_2.3 will be updated
---> Package libssh2.x86_64 0:1.2.2-11.el6_3 will be an update
---> Package libstdc++.i686 0:4.4.6-3.el6 will be updated
---> Package libstdc++.x86_64 0:4.4.6-3.el6 will be updated
---> Package libstdc++.i686 0:4.4.6-4.el6 will be an update
---> Package libstdc++.x86_64 0:4.4.6-4.el6 will be an update
---> Package libtiff.x86_64 0:3.9.4-5.el6_2 will be updated
---> Package libtiff.x86_64 0:3.9.4-6.el6_3 will be an update
---> Package libuser.x86_64 0:0.56.13-4.el6_0.1 will be updated
---> Package libuser.x86_64 0:0.56.13-5.el6 will be an update
---> Package libuuid.x86_64 0:2.17.2-12.4.el6 will be updated
---> Package libuuid.x86_64 0:2.17.2-12.7.el6 will be an update
---> Package logrotate.x86_64 0:3.7.8-12.el6_0.1 will be updated
---> Package logrotate.x86_64 0:3.7.8-15.el6 will be an update
---> Package lsof.x86_64 0:4.82-2.el6 will be updated
---> Package lsof.x86_64 0:4.82-4.el6 will be an update
---> Package make.x86_64 1:3.81-19.el6 will be updated
---> Package make.x86_64 1:3.81-20.el6 will be an update
---> Package man.x86_64 0:1.6f-29.el6 will be updated
---> Package man.x86_64 0:1.6f-30.el6 will be an update
---> Package module-init-tools.x86_64 0:3.9-19.el6_2 will be updated
---> Package module-init-tools.x86_64 0:3.9-20.el6 will be an update
---> Package net-snmp.x86_64 1:5.5-37.el6_2.1 will be updated
---> Package net-snmp.x86_64 1:5.5-41.el6_3.1 will be an update
---> Package net-snmp-libs.x86_64 1:5.5-37.el6_2.1 will be updated
---> Package net-snmp-libs.x86_64 1:5.5-41.el6_3.1 will be an update
---> Package net-snmp-utils.x86_64 1:5.5-37.el6_2.1 will be updated
---> Package net-snmp-utils.x86_64 1:5.5-41.el6_3.1 will be an update
---> Package nscd.x86_64 0:2.12-1.47.el6_2.12 will be updated
---> Package nscd.x86_64 0:2.12-1.80.el6_3.5 will be an update
---> Package nspr.x86_64 0:4.8.9-3.el6_2 will be updated
---> Package nspr.x86_64 0:4.9.1-2.el6_3 will be an update
---> Package nss.x86_64 0:3.13.1-7.el6_2 will be updated
---> Package nss.x86_64 0:3.13.5-1.el6_3 will be an update
---> Package nss-sysinit.x86_64 0:3.13.1-7.el6_2 will be updated
---> Package nss-sysinit.x86_64 0:3.13.5-1.el6_3 will be an update
---> Package nss-util.x86_64 0:3.13.1-3.el6_2 will be updated
---> Package nss-util.x86_64 0:3.13.5-1.el6_3 will be an update
---> Package ntsysv.x86_64 0:1.3.49.3-1.el6_2 will be updated
---> Package ntsysv.x86_64 0:1.3.49.3-2.el6 will be an update
---> Package openldap.x86_64 0:2.4.23-20.el6 will be updated
---> Package openldap.x86_64 0:2.4.23-26.el6_3.2 will be an update
--> Processing Dependency: nss-tools for package: openldap-2.4.23-26.el6_3.2.x86_64
---> Package openssh.x86_64 0:5.3p1-70.el6_2.2 will be updated
---> Package openssh.x86_64 0:5.3p1-81.el6 will be an update
---> Package openssh-clients.x86_64 0:5.3p1-70.el6_2.2 will be updated
---> Package openssh-clients.x86_64 0:5.3p1-81.el6 will be an update
---> Package openssh-server.x86_64 0:5.3p1-70.el6_2.2 will be updated
---> Package openssh-server.x86_64 0:5.3p1-81.el6 will be an update
---> Package openssl.x86_64 0:1.0.0-20.el6_2.5 will be updated
---> Package openssl.x86_64 0:1.0.0-25.el6_3.1 will be an update
---> Package pcre.x86_64 0:7.8-3.1.el6 will be updated
---> Package pcre.x86_64 0:7.8-4.el6 will be an update
---> Package procps.x86_64 0:3.2.8-21.el6 will be updated
---> Package procps.x86_64 0:3.2.8-23.el6 will be an update
---> Package python.x86_64 0:2.6.6-29.el6 will be updated
---> Package python.x86_64 0:2.6.6-29.el6_2.2 will be an update
---> Package python-libs.x86_64 0:2.6.6-29.el6 will be updated
---> Package python-libs.x86_64 0:2.6.6-29.el6_2.2 will be an update
---> Package readline.x86_64 0:6.0-3.el6 will be updated
---> Package readline.x86_64 0:6.0-4.el6 will be an update
---> Package redhat-logos.noarch 0:60.0.14-10.el6.centos will be updated
---> Package redhat-logos.noarch 0:60.0.14-12.el6.centos will be an update
---> Package rpcbind.x86_64 0:0.2.0-8.el6 will be updated
---> Package rpcbind.x86_64 0:0.2.0-9.el6 will be an update
---> Package rpm.x86_64 0:4.8.0-19.el6_2.1 will be updated
---> Package rpm.x86_64 0:4.8.0-27.el6 will be an update
---> Package rpm-libs.x86_64 0:4.8.0-19.el6_2.1 will be updated
---> Package rpm-libs.x86_64 0:4.8.0-27.el6 will be an update
---> Package rpm-python.x86_64 0:4.8.0-19.el6_2.1 will be updated
---> Package rpm-python.x86_64 0:4.8.0-27.el6 will be an update
---> Package rsync.x86_64 0:3.0.6-5.el6_0.1 will be updated
---> Package rsync.x86_64 0:3.0.6-9.el6 will be an update
---> Package rsyslog.x86_64 0:4.6.2-12.el6 will be updated
---> Package rsyslog.x86_64 0:5.8.10-2.el6 will be an update
---> Package samba.x86_64 0:3.5.10-116.el6_2 will be updated
---> Package samba.x86_64 0:3.5.10-125.el6 will be an update
---> Package samba-client.x86_64 0:3.5.10-116.el6_2 will be updated
---> Package samba-client.x86_64 0:3.5.10-125.el6 will be an update
---> Package samba-common.x86_64 0:3.5.10-116.el6_2 will be updated
---> Package samba-common.x86_64 0:3.5.10-125.el6 will be an update
---> Package samba-winbind-clients.x86_64 0:3.5.10-116.el6_2 will be updated
---> Package samba-winbind-clients.x86_64 0:3.5.10-125.el6 will be an update
---> Package sed.x86_64 0:4.2.1-7.el6 will be updated
---> Package sed.x86_64 0:4.2.1-10.el6 will be an update
---> Package sudo.x86_64 0:1.7.4p5-9.el6_2 will be updated
---> Package sudo.x86_64 0:1.7.4p5-13.el6_3 will be an update
---> Package tar.x86_64 2:1.23-3.el6 will be updated
---> Package tar.x86_64 2:1.23-7.el6 will be an update
---> Package tcpdump.x86_64 14:4.0.0-3.20090921gitdf3cb4.1.el6 will be updated
---> Package tcpdump.x86_64 14:4.0.0-3.20090921gitdf3cb4.2.el6 will be an update
---> Package udev.x86_64 0:147-2.40.el6 will be updated
---> Package udev.x86_64 0:147-2.42.el6 will be an update
---> Package upstart.x86_64 0:0.6.5-10.el6 will be updated
---> Package upstart.x86_64 0:0.6.5-12.el6 will be an update
---> Package util-linux-ng.x86_64 0:2.17.2-12.4.el6 will be updated
---> Package util-linux-ng.x86_64 0:2.17.2-12.7.el6 will be an update
---> Package vim-common.x86_64 2:7.2.411-1.6.el6 will be updated
---> Package vim-common.x86_64 2:7.2.411-1.8.el6 will be an update
---> Package vim-enhanced.x86_64 2:7.2.411-1.6.el6 will be updated
---> Package vim-enhanced.x86_64 2:7.2.411-1.8.el6 will be an update
---> Package vim-minimal.x86_64 2:7.2.411-1.6.el6 will be updated
---> Package vim-minimal.x86_64 2:7.2.411-1.8.el6 will be an update
---> Package xinetd.x86_64 2:2.3.14-33.el6 will be updated
---> Package xinetd.x86_64 2:2.3.14-35.el6_3 will be an update
---> Package yum.noarch 0:3.2.29-22.el6.centos.2 will be updated
---> Package yum.noarch 0:3.2.29-30.el6.centos will be an update
---> Package yum-plugin-fastestmirror.noarch 0:1.1.30-10.el6 will be updated
---> Package yum-plugin-fastestmirror.noarch 0:1.1.30-14.el6 will be an update
--> Running transaction check
---> Package nss-tools.x86_64 0:3.13.5-1.el6_3 will be installed
---> Package portreserve.x86_64 0:0.0.4-9.el6 will be installed
--> Finished Dependency Resolution
Error: Protected multilib versions: libgcc-4.4.6-4.el6.i686 != libgcc-4.4.6-3.el6.x86_64
Error: Protected multilib versions: glibc-2.12-1.80.el6_3.5.i686 != glibc-2.12-1.47.el6_2.12.x86_64
You could try using --skip-broken to work around the problem
** Found 6 pre-existing rpmdb problem(s), 'yum check' output follows:
12:dhcp-common-4.1.1-31.0.1.P1.el6.centos.1.x86_64 is a duplicate with 12:dhcp-common-4.1.1-25.P1.el6_2.1.x86_64
glibc-2.12-1.80.el6_3.5.x86_64 is a duplicate with glibc-2.12-1.47.el6_2.12.x86_64
glibc-common-2.12-1.80.el6_3.5.x86_64 is a duplicate with glibc-common-2.12-1.47.el6_2.12.x86_64
libgcc-4.4.6-4.el6.x86_64 is a duplicate with libgcc-4.4.6-3.el6.x86_64
setup-2.8.14-16.el6.noarch is a duplicate with setup-2.8.14-13.el6.noarch
tzdata-2012c-3.el6.noarch is a duplicate with tzdata-2012c-1.el6.noarch
[[email protected] home]# yum clean
Loaded plugins: fastestmirror
Error: clean requires an option: headers, packages, metadata, dbcache, plugins, expire-cache, rpmdb, all
Cleaning repos: base extras updates vz-base vz-updates
[[email protected] home]#
cant do update or clean help me
 
Last edited:

cPanelTristan

Quality Assurance Analyst
Staff member
Oct 2, 2010
7,607
40
248
somewhere over the rainbow
cPanel Access Level
Root Administrator
You have duplicate rpms it appears. You'll have to remove the duplicate rpms (ensure to use --no-deps when removing a duplicate so the dependencies it uses aren't also removed). If you aren't certain how, I highly suggest contacting your datacenter, NOC or provider.